Create new folder

Creates a folder. Use parent_folder_id to nest, omit it for a root-level folder.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST /folders

Detailed Description

Creates a new folder for the authenticated user. Use this to establish root-level folders or nested folders by providing a parent_folder_id.

HTTP Method & Path

POST /folders

Authentication Requirements

  • Security Scheme: PandaAuth (apiKey)
  • Header: Authorization: <your_api_token>

Parameters

NameTypeRequiredDescription
Authorizationstring (header)YesPanda API token

Request Body

Schema: CreateFolderRequest

NameTypeRequiredDescription
namestringYesFolder name. minLength=1, maxLength=255.
parent_folder_idstring (uuid)NoParent folder ID to create a nested folder. null for root.
Body Params
string
required
length between 1 and 255

Folder name

uuid | null

Parent folder ID for creating nested folders

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json